/* REXX: Set basic file type */

Call RxFuncAdd SysLoadFuncs, RexxUtil, SysLoadFuncs
Call SysLoadFuncs

Call SetType   "AC.EXE"        "Executable"
Call SetType   "ALIGN512.EXE"  "Executable"
Call SetType   "ALIGNCSM.CMD"  "OS/2 Command File"
Call SetType   "ANTI-VIR.DAT"  "Binary Data"
Call SetType   "AUTOR.TXT"     "Plain Text"
Call SetType   "CANCEL.BIN"    "Binary Data"
Call SetType   "CHECKCSM.EXE"  "Executable"
Call SetType   "CONFIRM.BIN"   "Binary Data"
Call SetType   "CONFI__.SYS"   "Plain Text"
Call SetType   "DESCRIPT.ION"  "Plain Text"
Call SetType   "FILE_ID.DEU"   "Plain Text"
Call SetType   "FILE_ID.ENG"   "Plain Text"
Call SetType   "GENNMENU.EXE"  "Executable"
Call SetType   "MD5_SUM.ASC"   "PGP"
Call SetType   "MENU.BIN"      "Binary Data"
Call SetType   "MENU.TXT"      "Plain Text"
Call SetType   "MENU5NET.BIN"  "Binary Data"
Call SetType   "MENU_NIC.TXT"  "Plain Text"
Call SetType   "NIC.LST"       "Plain Text"
Call SetType   "OS2BOOT_.AC"   "Binary Data"
Call SetType   "OS2CSM.COM"    "Executable"
Call SetType   "OS2CSM.D"      "Binary Data"
Call SetType   "OS2CSM.D_M"    "Binary Data"
Call SetType   "OS2CSM.DEU"    "Plain Text"
Call SetType   "OS2CSM.E"      "Binary Data"
Call SetType   "OS2CSM.E_M"    "Binary Data"
Call SetType   "OS2CSM.ENG"    "Plain Text"
Call SetType   "OS2CSM.EXE"    "Executable"
Call SetType   "OS2CSM.ESP"    "Plain Text"
Call SetType   "OS2CSM.F"      "Binary Data"
Call SetType   "OS2CSM.F_M"    "Binary Data"
Call SetType   "OS2CSM.FRA"    "Plain Text"
Call SetType   "OS2CSM.N"      "Binary Data"
Call SetType   "OS2CSM.N_M"    "Binary Data"
Call SetType   "OS2CSM.PNG"    "picture"
Call SetType   "OS2CSM.S"      "Binary Data"
Call SetType   "OS2CSM.S_M"    "Binary Data"
Call SetType   "OS2KRND.AC"    "Binary Data"
Call SetType   "PROGRAMM.DEU"  "Plain Text"
Call SetType   "PROGRAMM.ENG"  "Plain Text"
Call SetType   "RESET.BIN"     "Binary Data"
Call SetType   "STRIPCSM.CMD"  "OS/2 Command File"
Call SetType   "WDOSXLE.EXE"   "Executable"
Call LineOut , "."
Exit 0

SetType:
  Call CharOut , "."
  Parse Arg Dateiname Dateityp
  /* ASCII */
  t1 = "FDFF"x || d2c(Length(Dateityp)) || '00'x || Dateityp
  /* mehrtypig/mehrwertig, 1 Element */
  t2 = "DFFF0000"x || "0100"x || t1
  Call SysPutEA Dateiname , ".TYPE" , t2
  Return 0

